import { defineComponent, computed, createElementBlock, openBlock, normalizeClass, renderSlot, createCommentVNode, createElementVNode, pushScopeId, popScopeId } from "vue";
import { _ as _export_sfc } from "../../_plugin-vue_export-helper-1tPrXgE0.js";
const _imports_0 = "data:image/svg+xml,%3csvg%20width='24'%20height='24'%20viewBox='0%200%2024%2024'%20fill='none'%20xmlns='http://www.w3.org/2000/svg'%3e%3cg%20id='&%23229;&%23138;&%23160;&%23232;&%23189;&%23189;&%23228;&%23184;&%23173;'%3e%3cpath%20id='Vector'%20fill-rule='evenodd'%20clip-rule='evenodd'%20d='M11%201H12C18.0751%201%2023%205.92487%2023%2012C23%2018.0751%2018.0751%2023%2012%2023C5.92487%2023%201%2018.0751%201%2012V11H3V12C3%2016.9706%207.02944%2021%2012%2021C16.9706%2021%2021%2016.9706%2021%2012C21%207.02944%2016.9706%203%2012%203H11V1Z'%20fill='white'%20fill-opacity='0.9'%20style='fill:white;fill-opacity:0.9;'/%3e%3c/g%3e%3c/svg%3e";
const _withScopeId = (n) => (pushScopeId("data-v-b6e85e47"), n = n(), popScopeId(), n);
const _hoisted_1 = ["disabled"];
const _hoisted_2 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createElementVNode("img", {
  src: _imports_0,
  alt: "",
  class: "tui-button-icon"
}, null, -1));
const _hoisted_3 = { class: "tui-button-content" };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: {
    customClasses: { default: () => [] },
    color: { default: "blue" },
    type: { default: "default" },
    autofocus: { type: Boolean },
    disabled: { type: Boolean, default: false },
    icon: {},
    iconPosition: {},
    loading: { type: Boolean, default: false },
    loadingClasses: { default: () => [] },
    shape: { default: "round" },
    size: { default: "medium" }
  },
  emits: ["click"],
  setup(__props, { emit: __emit }) {
    const emit = __emit;
    const props = __props;
    const buttonClassList = computed(() => [
      ...props.customClasses,
      "tui-button",
      `tui-button-${props.color}-${props.type}`,
      `tui-button-${props.size}`,
      `tui-button-${props.shape}`,
      { "is-disabled": props.disabled },
      { "is-loading": props.loading }
    ]);
    function handleClick(event) {
      if (!props.disabled) {
        emit("click", event);
      }
    }
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("button", {
        class: normalizeClass(buttonClassList.value),
        disabled: _ctx.disabled,
        onClick: handleClick
      }, [
        _ctx.loading ? renderSlot(_ctx.$slots, "loading", { key: 0 }, () => [
          _hoisted_2
        ], true) : createCommentVNode("", true),
        createElementVNode("span", _hoisted_3, [
          renderSlot(_ctx.$slots, "default", {}, void 0, true)
        ])
      ], 10, _hoisted_1);
    };
  }
});
const Button = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-b6e85e47"]]);
const TUIButton = Button;
export {
  TUIButton
};
