import { TUIButton } from "../components/Button/index.js";
const meta = {
  title: "Components/TUIButton",
  component: TUIButton,
  tags: ["autodocs"],
  argTypes: {
    color: {
      control: "select",
      options: ["blue", "green", "red", "orange"],
      description: "按钮颜色"
    },
    type: {
      control: "select",
      options: ["primary", "default"],
      description: "按钮类型"
    },
    size: {
      control: "select",
      options: ["large", "big", "medium", "small"],
      description: "按钮尺寸"
    },
    shape: {
      control: "select",
      options: ["round", "circle", "rect"],
      description: "按钮形状"
    },
    disabled: {
      control: "boolean",
      description: "是否禁用"
    },
    loading: {
      control: "boolean",
      description: "是否加载中"
    },
    autofocus: {
      control: "boolean",
      description: "是否自动聚焦"
    },
    customClasses: {
      control: "array",
      description: "自定义类名"
    },
    loadingClasses: {
      control: "array",
      description: "加载状态的自定义类名"
    },
    onClick: { action: "clicked" }
  }
};
const Default = {
  args: {
    color: "blue",
    type: "primary",
    size: "medium",
    shape: "round"
  },
  render: (args) => ({
    components: { TUIButton },
    setup() {
      return { args };
    },
    template: '<TUIButton v-bind="args">TUIButton</TUIButton>'
  })
};
const Colors = {
  render: (args) => ({
    components: { TUIButton },
    setup() {
      return { args };
    },
    template: `
      <div style="display: flex; gap: 16px;">
        <TUIButton color="blue" type="primary">Blue</TUIButton>
        <TUIButton color="green" type="primary">Green</TUIButton>
        <TUIButton color="red" type="primary">Red</TUIButton>
        <TUIButton color="orange" type="primary">Orange</TUIButton>
      </div>
    `
  })
};
const Sizes = {
  render: (args) => ({
    components: { TUIButton },
    setup() {
      return { args };
    },
    template: `
      <div style="display: flex; gap: 16px; align-items: center;">
        <TUIButton size="large">Large</TUIButton>
        <TUIButton size="big">Big</TUIButton>
        <TUIButton size="medium">Medium</TUIButton>
        <TUIButton size="small">Small</TUIButton>
      </div>
    `
  })
};
const Shapes = {
  render: (args) => ({
    components: { TUIButton },
    setup() {
      return { args };
    },
    template: `
      <div style="display: flex; gap: 16px;">
        <TUIButton shape="round">Round</TUIButton>
        <TUIButton shape="circle">Circle</TUIButton>
        <TUIButton shape="rect">Rect</TUIButton>
      </div>
    `
  })
};
const Loading = {
  args: {
    loading: true
  },
  render: (args) => ({
    components: { TUIButton },
    setup() {
      return { args };
    },
    template: '<TUIButton v-bind="args">Loading</TUIButton>'
  })
};
const Disabled = {
  args: {
    disabled: true
  },
  render: (args) => ({
    components: { TUIButton },
    setup() {
      return { args };
    },
    template: '<TUIButton v-bind="args">Disabled</TUIButton>'
  })
};
export {
  Colors,
  Default,
  Disabled,
  Loading,
  Shapes,
  Sizes,
  meta as default
};
